LANGUAGES_MAP = {
    'Abkhaz': 'abk',
    'Afar': 'aar',
    'Afrikaans': 'afr',
    'Akan': 'aka',
    'Albanian': 'sqi',
    'Amharic': 'amh',
    'Arabic': 'ara',
    'Aragonese': 'arg',
    'Armenian': 'hye',
    'Assamese': 'asm',
    'Avaric': 'ava',
    'Avestan': 'ave',
    'Aymara': 'aym',
    'Azerbaijani': 'aze',
    'Bambara': 'bam',
    'Bashkir': 'bak',
    'Basque': 'eus',
    'Belarusian': 'bel',
    'Bengali': 'ben',
    'Bihari': 'bih',
    'Bislama': 'bis',
    'Bosnian': 'bos',
    'Breton': 'bre',
    'Bulgarian': 'bul',
    'Burmese': 'mya',
    'Catalan': 'cat',
    'Chamorro': 'cha',
    'Chechen': 'che',
    'Chichewa': 'nya',
    'Chinese - Cantonese': 'yue',
    'Chinese - China': 'zho',
    'Chinese - Taiwan': 'zhtw',
    'Chuvash': 'chv',
    'Cornish': 'cor',
    'Corsican': 'cos',
    'Cree': 'cre',
    'Croatian': 'hrv',
    'Czech': 'ces',
    'Danish': 'dan',
    'Divehi': 'div',
    'Dutch': 'nld',
    'Dzongkha': 'dzo',
    'English': 'eng',
    'Esperanto': 'epo',
    'Estonian': 'est',
    'Ewe': 'ewe',
    'Faroese': 'fao',
    'Fijian': 'fij',
    'Finnish': 'fin',
    'French': 'fra',
    'Fula': 'ful',
    'Galician': 'glg',
    'Georgian': 'kat',
    'German': 'deu',
    'Greek': 'ell',
    'Guaraní': 'grn',
    'Gujarati': 'guj',
    'Haitian': 'hat',
    'Hausa': 'hau',
    'Hebrew': 'heb',
    'Herero': 'her',
    'Hindi': 'hin',
    'Hiri Motu': 'hmo',
    'Hungarian': 'hun',
    'Icelandic': 'isl',
    'Ido': 'ido',
    'Igbo': 'ibo',
    'Indonesian': 'ind',
    'Interlingua': 'ina',
    'Interlingue': 'ile',
    'Inuktitut': 'iku',
    'Inupiaq': 'ipk',
    'Irish': 'gle',
    'Italian': 'ita',
    'Japanese': 'jpn',
    'Javanese': 'jav',
    'Kalaallisut': 'kal',
    'Kannada': 'kan',
    'Kanuri': 'kau',
    'Kashmiri': 'kas',
    'Kazakh': 'kaz',
    'Khmer': 'khm',
    'Kikuyu': 'kik',
    'Kinyarwanda': 'kin',
    'Kirghiz': 'kir',
    'Kirundi': 'run',
    'Komi': 'kom',
    'Kongo': 'kon',
    'Korean': 'kor',
    'Kurdish': 'kur',
    'Kwanyama': 'kua',
    'Lao': 'lao',
    'Latin': 'lat',
    'Latvian': 'lav',
    'Limburgish': 'lim',
    'Lingala': 'lin',
    'Lithuanian': 'lit',
    'Luba-Katanga': 'lub',
    'Luganda': 'lug',
    'Luxembourgish': 'ltz',
    'Macedonian': 'mkd',
    'Malagasy': 'mlg',
    'Malay': 'msa',
    'Malayalam': 'mal',
    'Maltese': 'mlt',
    'Manx': 'glv',
    'Marathi': 'mar',
    'Marshallese': 'mah',
    'Mongolian': 'mon',
    'Māori': 'mri',
    'Nauru': 'nau',
    'Navajo': 'nav',
    'Ndonga': 'ndo',
    'Nepali': 'nep',
    'North Ndebele': 'nde',
    'Northern Sami': 'sme',
    'Norwegian': 'nor',
    'Nuosu': 'iii',
    'Occitan': 'oci',
    'Ojibwe': 'oji',
    'Old Church Slavonic': 'chu',
    'Oriya': 'ori',
    'Oromo': 'orm',
    'Ossetian': 'oss',
    'Panjabi': 'pan',
    'Pashto': 'pus',
    'Persian': 'fas',
    'Polish': 'pol',
    'Portuguese - Brazil': 'pt',
    'Portuguese - Portugal': 'por',
    'Pāli': 'pli',
    'Quechua': 'que',
    'Romanian': 'ron',
    'Romansh': 'roh',
    'Russian': 'rus',
    'Samoan': 'smo',
    'Sango': 'sag',
    'Sanskrit': 'san',
    'Sardinian': 'srd',
    'Scottish Gaelic': 'gla',
    'Serbian': 'srp',
    'Shona': 'sna',
    'Sindhi': 'snd',
    'Sinhala': 'sin',
    'Slovak': 'slk',
    'Slovene': 'slv',
    'Somali': 'som',
    'South Ndebele': 'nbl',
    'Southern Sotho': 'sot',
    'Spanish': 'spa',
    'Sundanese': 'sun',
    'Swahili': 'swa',
    'Swati': 'ssw',
    'Swedish': 'swe',
    'Tagalog': 'tgl',
    'Tahitian': 'tah',
    'Tajik': 'tgk',
    'Tamil': 'tam',
    'Tatar': 'tat',
    'Telugu': 'tel',
    'Thai': 'tha',
    'Tibetan Standard': 'bod',
    'Tigrinya': 'tir',
    'Tonga': 'ton',
    'Tsonga': 'tso',
    'Tswana': 'tsn',
    'Turkish': 'tur',
    'Turkmen': 'tuk',
    'Twi': 'twi',
    'Uighur': 'uig',
    'Ukrainian': 'ukr',
    'Urdu': 'urd',
    'Uzbek': 'uzb',
    'Venda': 'ven',
    'Vietnamese': 'vie',
    'Volapük': 'vol',
    'Walloon': 'wln',
    'Welsh': 'cym',
    'Western Frisian': 'fry',
    'Wolof': 'wol',
    'Xhosa': 'xho',
    'Yiddish': 'yid',
    'Yoruba': 'yor',
    'Zhuang': 'zha',
    'Zulu': 'zul',
}

COUNTRIES_MAP = {
    'abw': 'Aruba',
    'afg': 'Afghanistan',
    'ago': 'Angola',
    'aia': 'Anguilla',
    'ala': 'Åland Islands',
    'alb': 'Albania',
    'and': 'Andorra',
    'are': 'United Arab Emirates',
    'arg': 'Argentina',
    'arm': 'Armenia',
    'asm': 'American Samoa',
    'ata': 'Antarctica',
    'atf': 'French Southern Territories',
    'atg': 'Antigua and Barbuda',
    'aus': 'Australia',
    'aut': 'Austria',
    'aze': 'Azerbaijan',
    'bdi': 'Burundi',
    'bel': 'Belgium',
    'ben': 'Benin',
    'bes': 'Bonaire, Sint Eustatius and Saba',
    'bfa': 'Burkina Faso',
    'bgd': 'Bangladesh',
    'bgr': 'Bulgaria',
    'bhr': 'Bahrain',
    'bhs': 'Bahamas',
    'bih': 'Bosnia and Herzegovina',
    'blm': 'Saint Barthélemy',
    'blr': 'Belarus',
    'blz': 'Belize',
    'bmu': 'Bermuda',
    'bol': 'Bolivia',
    'bra': 'Brazil',
    'brb': 'Barbados',
    'brn': 'Brunei Darussalam',
    'btn': 'Bhutan',
    'bvt': 'Bouvet Island',
    'bwa': 'Botswana',
    'caf': 'Central African Republic',
    'can': 'Canada',
    'cck': 'Cocos (Keeling) Islands',
    'che': 'Swiss Confederation',
    'chl': 'Chile',
    'chn': 'China',
    'civ': 'Ivory Coast',
    'cmr': 'Cameroon',
    'cod': 'Congo',
    'cog': 'Republic of the Congo',
    'cok': 'Cook Islands',
    'col': 'Colombia',
    'com': 'Comoros',
    'cpv': 'Cape Verde',
    'cri': 'Costa Rica',
    'cub': 'Cuba',
    'cuw': 'Curaçao',
    'cxr': 'Christmas Island',
    'cym': 'Cayman Islands',
    'cyp': 'Cyprus',
    'cze': 'Czech Republic',
    'deu': 'Germany',
    'dji': 'Djibouti',
    'dma': 'Dominica',
    'dnk': 'Denmark',
    'dom': 'Dominican Republic',
    'dza': 'Algeria',
    'ecu': 'Ecuador',
    'egy': 'Egypt',
    'eri': 'Eritrea',
    'esh': 'Western Sahara',
    'esp': 'Spain',
    'est': 'Estonia',
    'eth': 'Ethiopia',
    'fin': 'Finland',
    'fji': 'Fiji',
    'flk': 'The Falkland Islands',
    'fra': 'France',
    'fro': 'The Faroe Islands',
    'fsm': 'Micronesia',
    'gab': 'Gabon',
    'gbr': 'Great Britain',
    'geo': 'Georgia',
    'ggy': 'Guernsey',
    'gha': 'Ghana',
    'gib': 'Gibraltar',
    'gin': 'Guinea',
    'glp': 'Guadeloupe',
    'gmb': 'Gambia',
    'gnb': 'Guinea-Bissau',
    'gnq': 'Equatorial Guinea',
    'grc': 'Greece',
    'grd': 'Grenada',
    'grl': 'Greenland',
    'gtm': 'Guatemala',
    'guf': 'French Guiana',
    'gum': 'Guam',
    'guy': 'Guyana',
    'hkg': 'Hong Kong',
    'hmd': 'Heard Island and McDonald Islands',
    'hnd': 'Honduras',
    'hrv': 'Croatia',
    'hti': 'Haiti',
    'hun': 'Hungary',
    'idn': 'Indonesia',
    'imn': 'Isle of Man',
    'ind': 'India',
    'iot': 'British Indian Ocean Territory',
    'irl': 'Ireland',
    'irn': 'Iran',
    'irq': 'Iraq',
    'isl': 'Iceland',
    'isr': 'Israel',
    'ita': 'Italy',
    'jam': 'Jamaica',
    'jey': 'Jersey',
    'jor': 'Jordan',
    'jpn': 'Japan',
    'kaz': 'Kazakhstan',
    'ken': 'Kenya',
    'kgz': 'Kyrgyzstan',
    'khm': 'Cambodia',
    'kir': 'Kiribati',
    'kna': 'Saint Christopher and Nevis',
    'kor': 'South Korea',
    'kwt': 'Kuwait',
    'lao': 'Laos',
    'lbn': 'Lebanon',
    'lbr': 'Liberia',
    'lby': 'Libya',
    'lca': 'Saint Lucia',
    'lie': 'Liechtenstein',
    'lka': 'Sri Lanka',
    'lso': 'Lesotho',
    'ltu': 'Lithuania',
    'lux': 'Luxembourg',
    'lva': 'Latvia',
    'mac': 'Macao',
    'maf': 'Saint Martin',
    'mar': 'Morocco',
    'mco': 'Monaco',
    'mda': 'Moldova',
    'mdg': 'Madagascar',
    'mdv': 'Maldives',
    'mex': 'Mexico',
    'mhl': 'Marshall Islands',
    'mkd': 'Macedonia',
    'mli': 'Mali',
    'mlt': 'Malta',
    'mmr': 'Myanmar',
    'mne': 'Montenegro',
    'mng': 'Mongolia',
    'mnp': 'Northern Mariana Islands',
    'moz': 'Mozambique',
    'mrt': 'Mauritania',
    'msr': 'Montserrat',
    'mtq': 'Martinique',
    'mus': 'Mauritius',
    'mwi': 'Malawi',
    'mys': 'Malaysia',
    'myt': 'Mayotte',
    'nam': 'Namibia',
    'ncl': 'New Caledonia',
    'ner': 'Niger',
    'nfk': 'Norfolk Island',
    'nga': 'Nigeria',
    'nic': 'Nicaragua',
    'niu': 'Niue',
    'nld': 'The Netherlands',
    'nor': 'Norway',
    'npl': 'Nepal',
    'nru': 'Nauru',
    'nzl': 'New Zealand',
    'omn': 'Oman',
    'pak': 'Pakistan',
    'pan': 'Panama',
    'pcn': 'Pitcairn',
    'per': 'Peru',
    'phl': 'Philippines',
    'plw': 'Republic of Palau',
    'png': 'Papua New Guinea',
    'pol': 'Poland',
    'pri': 'Puerto Rico',
    'prk': 'North Korea',
    'prt': 'Portugal',
    'pry': 'Paraguay',
    'pse': 'Palestine, State of',
    'pyf': 'French Polynesia',
    'qat': 'Qatar',
    'reu': 'Réunion',
    'rou': 'Romania',
    'rus': 'Russia',
    'rwa': 'Rwanda',
    'sau': 'Saudi Arabia',
    'sdn': 'Sudan',
    'sen': 'Senegal',
    'sgp': 'Singapore',
    'sgs': 'South Georgia',
    'shn': 'Saint Helena, Ascension and Tristan da Cunha',
    'sjm': 'Svalbard and Jan Mayen',
    'slb': 'Solomon Islands',
    'sle': 'Sierra Leone',
    'slv': 'El Salvador',
    'smr': 'San Marino',
    'som': 'Somali Republic',
    'spm': 'Saint Pierre and Miquelon',
    'srb': 'Serbia',
    'ssd': 'South Sudan',
    'stp': 'São Tomé and Príncipe',
    'sur': 'Suriname',
    'svk': 'Slovakia',
    'svn': 'Slovenia',
    'swe': 'Sweden',
    'swz': 'Swaziland',
    'sxm': 'Sint Maarten',
    'syc': 'Seychelles',
    'syr': 'Syrian Arab Republic',
    'tca': 'Turks and Caicos Islands',
    'tcd': 'Chad',
    'tgo': 'Togo',
    'tha': 'Thailand',
    'tjk': 'Tajikistan',
    'tkl': 'Tokelau',
    'tkm': 'Turkmenistan',
    'tls': 'Timor-Leste',
    'ton': 'Tonga',
    'tto': 'Trinidad and Tobago',
    'tun': 'Tunisia',
    'tur': 'Turkey',
    'tuv': 'Tuvalu',
    'twn': 'Taiwan',
    'tza': 'Tanzania',
    'uga': 'Uganda',
    'ukr': 'Ukraine',
    'umi': 'United States Minor Outlying Islands',
    'unk': 'Kosovo',
    'ury': 'Uruguay',
    'usa': 'USA',
    'uzb': 'Uzbekistan',
    'vat': 'Vatican City',
    'vct': 'Saint Vincent and the Grenadines',
    'ven': 'Venezuela',
    'vgb': 'British Virgin Islands',
    'vir': 'Virgin Islands of the United States',
    'vnm': 'Vietnam',
    'vut': 'Vanuatu',
    'wlf': 'Wallis and Futuna',
    'wsm': 'Samoa',
    'yem': 'Yemen',
    'zaf': 'South Africa',
    'zmb': 'Zambia',
    'zwe': 'Zimbabwe',
}

REVERSED_COUNTRIES_MAP = {country: code for code, country in COUNTRIES_MAP.items()}
